# Prevent stripping
%define __spec_install_post /usr/lib/rpm/brp-compress

Summary:	Adobe Flash Player Plugin
Name:		flash-player-plugin
Version:	11.2.202.644
Release:	%mkrel 1
License:	Proprietary
Group:		Networking/WWW
URL:		http://www.adobe.com/downloads/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Conflicts:	swfdec-mozilla

%description
Adobe Flash Player plugin for all web browsers including
Opera.

%prep
%setup -T -n %{name} -c

%install
rm -rf %buildroot
mkdir -p %buildroot

%define my_package install_flash_player_11_linux.x86_64.tar.gz


#download source
cd $RPM_SOURCE_DIR
wget -nc "http://fpdownload.adobe.com/get/flashplayer/pdc/%version/%{my_package}" 

# extract only libflashplayer.so
mkdir -p %buildroot/usr/lib/mozilla/plugins
tar -zxvf $RPM_SOURCE_DIR/%{my_package} libflashplayer.so
install -m 0755 libflashplayer.so %buildroot/usr/lib/mozilla/plugins
cd ..


%posttrans
if [ -e /etc/adobe/mms.cfg ] ; then
mv /etc/adobe/mms.cfg /opt/mms.cfg
fi


%clean
rm -rf %{buildroot}


%post
/sbin/ldconfig

%files
%defattr(-,root,root,-)
/usr/lib/mozilla/plugins/*


%changelog
* Wed Nov 30 2016 adrianomorselli <adrianomorselli> 11.2.202.644-1uplos2016
- rebuild

* Wed Nov 09 2016 woodhead <pp> 11.2.202.644-1pclos2016
- update

* Wed Oct 26 2016 woodhead <pp> 11.2.202.643-1pclos2016
- update

* Sun Oct 12 2016 woodhead <pp> 11.2.202.637-1pclos2016
- update

* Sun Sep 18 2016 woodhead <pp> 11.2.202.635-1pclos2016
- update

* Thu Jul 13 2016 woodhead <pp> 11.2.202.632-1pclos2016
- update

* Thu Jun 16 2016 bb <bb> 11.2.202.626-1pclos2016
- update

* Thu May 12 2016 woodhead <pp> 11.2.202.621-1pclos2016
- update

* Thu Apr 07 2016 bb <bb> 11.2.202.616-1pclos2016
- update

* Tue Mar 11 2016 woodhead <pp> 11.2.202.577-1pclos2016
- update

* Tue Feb 09 2016 pp <pp> 11.2.202.569-1pclos2016
- update


